<?php

namespace Ig\IgReservations\Domain\Model;

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/**
 * CalendarType
 */
class CalendarType extends AbstractEntity
{
    /**
     * name
     *
     * @var string
     */
    protected $name = '';

    /**
     * mode
     *
     * @var int
     */
    protected $mode = '';

    /**
     * partial
     *
     * @var string
     */
    protected $partial = '';

    /**
     * Returns the name
     *
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Sets the name
     *
     * @param string $name
     */
    public function setName($name): void
    {
        $this->name = $name;
    }

    /**
     * Returns the mode
     *
     * @return string
     */
    public function getMode()
    {
        return $this->mode;
    }

    /**
     * Sets the mode
     *
     * @param string $mode
     */
    public function setMode($mode): void
    {
        $this->mode = $mode;
    }

    /**
     * Returns the partial
     *
     * @return string
     */
    public function getPartial()
    {
        return $this->partial;
    }

    /**
     * Sets the partial
     *
     * @param string $partial
     */
    public function setPartial($partial): void
    {
        $this->partial = $partial;
    }
}
